SetInventorySubmissionDetails is used to set the inventory details for a given submission
You call thisScope not enforced
POST
/v2/storefront/listing/submission/{submissionId}/inventory
const url = 'https://api.zentail.com/v2/storefront/listing/submission/example/inventory';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"inventoryLevelSent":"example","successful":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v2/storefront/listing/submission/example/inventory \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "inventoryLevelSent": "example", "successful": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”submissionId
required
string format: int64
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
SetInventorySubmissionDetailsRequest is used to create inventory submission
details
object
inventoryLevelSent
string format: int64
successful
boolean
Examplegenerated
{ "inventoryLevelSent": "example", "successful": true}Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
SetInventorySubmissionDetailsResponse is currently an empty response
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}